Bug 215484 - Layout of email reports makes them hard to use
Layout of email reports makes them hard to use
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 05:49 EST by Matěj Cepl
Modified: 2013-06-23 22:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 05:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
presentation of message in Evolution informing about new comment in BZ (198.76 KB, image/png)
2006-11-14 05:49 EST, Matěj Cepl
no flags Details
Presentation of the "new bug" message in Evolution (208.51 KB, image/png)
2006-11-14 05:51 EST, Matěj Cepl
no flags Details
Example of message from Trac (3.03 KB, text/plain)
2008-11-30 14:39 EST, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 467331 None None None Never

  None (edit)
Description Matěj Cepl 2006-11-14 05:49:26 EST
Description of problem:
Layout of messages send by bugzilla provides so little information without
scrolling window of MUA that I usually rather click on the link and open bug in
browser. Cannot we make something like "developers layout" for emails -- with
120 unread emails in my bugzilla folder it becomes really bothersome?

Some specifical gripes:
1) should really developers be reminded that they shouldn't reply by email (on
two lines nonetheless)?
2) then there are four (or how many) empty lines after the previous reminder
which eliminate even the last remainders of useful information visible in the
message :-).
3) three lines message about status change is too big and could be in the bottom
of the message rather than on the top -- when the status change is the only
change to the bug, than it would be visible, otherwise user's comment is more
interesting than that and I would like to read it first.
4) Report about new bug filed into Bugzilla -- after duplicate summary of bug
(which is in the Subject of message as well), there are all those informations
about platform, version, processor, etc., EACH ON SEPARATE LINE. They could be
very well on the bottom of the message as well, so that the user could read in
email what is the description of the problem.

Couldn't it be possible at least to make some user customization of these
messages (like CSS stylesheet applied before filtering into text/plain or
something?).

Version-Release number of selected component (if applicable):
current version of Bugzilla

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2006-11-14 05:49:26 EST
Created attachment 141145 [details]
presentation of message in Evolution informing about new comment in BZ
Comment 2 Matěj Cepl 2006-11-14 05:51:28 EST
Created attachment 141146 [details]
Presentation of the "new bug" message in Evolution
Comment 3 David Lawrence 2008-09-16 12:54:59 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 4 Matěj Cepl 2008-11-30 14:39:19 EST
Created attachment 325138 [details]
Example of message from Trac

I actually much prefer what I get from trac. It looks in my Thunderbrid like this:

#4521: traceback in on_roster_treeview_row_expanded of roster_window.py
--------------------+-------------------------------------------------------
 Reporter:  mcepl   |        Owner:     
     Type:  defect  |       Status:  new
 Priority:  normal  |    Milestone:     
Component:  None    |      Version:  svn
 Severity:  normal  |   Resolution:     
 Keywords:          |           Os:  All
--------------------+-------------------------------------------------------

Comment(by asterix):

 see #4034, it's the same traceback. But it's impossible that iter is wrong
 as GTK gives it to us. does this package contain some patches? Are you
 able to reproduce? how? Which GTK / PyGTK version?

---------------------------------------------------

Just a few lines, but I get all interesting information about the current state of the bug. With our bugmails I for example don't know what state the bug is in (as in NEW, ASSIGNED, or something else).
Comment 5 David Lawrence 2008-11-30 17:33:46 EST
(In reply to comment #4)
> Created an attachment (id=325138) [details]
> Example of message from Trac
> 
> I actually much prefer what I get from trac. It looks in my Thunderbrid like
> this:
> 
> #4521: traceback in on_roster_treeview_row_expanded of roster_window.py
> --------------------+-------------------------------------------------------
>  Reporter:  mcepl   |        Owner:     
>      Type:  defect  |       Status:  new
>  Priority:  normal  |    Milestone:     
> Component:  None    |      Version:  svn
>  Severity:  normal  |   Resolution:     
>  Keywords:          |           Os:  All
> --------------------+-------------------------------------------------------
> 
> Comment(by asterix):
> 
>  see #4034, it's the same traceback. But it's impossible that iter is wrong
>  as GTK gives it to us. does this package contain some patches? Are you
>  able to reproduce? how? Which GTK / PyGTK version?
> 
> ---------------------------------------------------
> 
> Just a few lines, but I get all interesting information about the current state
> of the bug. With our bugmails I for example don't know what state the bug is in
> (as in NEW, ASSIGNED, or something else).

Most of the current information about the bug is in the headers unfortunately and not printed in the message body itself. I am not against putting more info in the body, but I feel this is best worked upstream. Possibly file a bug there and let it be hashed out in a cooperative manner. The email message is basically a template that has most of the bug information available to the template, so layout is just a matter of preference.

What do you think?

Dave
Comment 6 Matěj Cepl 2008-12-01 05:09:45 EST
I filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=467331). Closing as UPSTREAM

Note You need to log in before you can comment on or make changes to this bug.